## com.icl.saxon.sort
Class DescendingComparer

    java.lang.Object
      com.icl.saxon.sort.Comparer
          com.icl.saxon.sort.DescendingComparer

public class DescendingComparer
extends Comparer

A Comparer used for comparing descending keys

Constructor Summary
`DescendingComparer(Comparer base)`

Method Summary
`int` `compare(java.lang.Object a, java.lang.Object b)` Compare two objects.

Methods inherited from class com.icl.saxon.sort.Comparer
`setDataType, setOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescendingComparer

    public DescendingComparer(Comparer base)

Method Detail

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two objects.

  Specified by:
    `compare` in class `Comparer`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer